Hooks:PostHook(WeaponFactoryTweakData, "init", "Chimano_Attachments", function(self)

-- Override Fix --
local hr_wpn_override = {

-- Primary Weapons --
-- Akimbo Pistol --
  "wpn_fps_pis_x_g17",
  "wpn_fps_pis_x_g22c",
  "wpn_fps_jowi",
    
-- Secondary weapons --
-- Pistol --
  "wpn_fps_pis_g17",
  "wpn_fps_pis_g22c",
  "wpn_fps_pis_g26"
}

for i, wpn_id in pairs(hr_wpn_override) do
  self[wpn_id].override = self[wpn_id].override or {}
end

-----------------------------------------------------------------------------

-- Barrel Extension --
-- Pistol --
-- Chimano --
-- Ventilated Compensator --
self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_1 = self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_1 or {}
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_1 = self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_1 or {}

self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_1.a_obj = "a_nsn"
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_1.a_obj = "a_nsn"

-- Velocity Compensator --
self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_comp_2 = self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_comp_2 or {}
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_comp_2 = self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_comp_2 or {}

self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_co_comp_2.a_obj = "a_nsn"
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_co_comp_2.a_obj = "a_nsn"

-----------------------------------------------------------------------------

-- Magazine --
-- Chimano --
-- Extended Magazine --
local hr_chimano_m = {
  "wpn_fps_pis_g17",
  "wpn_fps_pis_g18c",
  "wpn_fps_pis_g22c",
  "wpn_fps_pis_g26",
  "wpn_fps_pis_x_g17",
  "wpn_fps_pis_x_g18c",
  "wpn_fps_pis_x_g22c",
  "wpn_fps_jowi"
}

for i, wpn_id in pairs(hr_chimano_m) do
  self[wpn_id].override.wpn_fps_pis_g18c_m_mag_33rnd = self[wpn_id].override.wpn_fps_pis_g18c_m_mag_33rnd or {}
end

self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"
self.wpn_fps_pis_g22c.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"
self.wpn_fps_pis_g26.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"

self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"
self.wpn_fps_pis_x_g22c.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"
self.wpn_fps_jowi.override.wpn_fps_pis_g18c_m_mag_33rnd.a_obj = "a_mn"

-----------------------------------------------------------------------------

-- Grip --
-- Pistol --
-- Chimano --
-- Ergo Grip --
self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_g_ergo = self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_g_ergo or {}
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_g_ergo = self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_g_ergo or {}

self.wpn_fps_pis_g17.override.wpn_fps_pis_g18c_g_ergo.a_obj = "a_gn"
self.wpn_fps_pis_x_g17.override.wpn_fps_pis_g18c_g_ergo.a_obj = "a_gn"

-------------------------------------------------------------------------------

-- Part adding --
-- Chimano --
local hr_chimano_add = {
  "wpn_fps_pis_g17",
  "wpn_fps_pis_g26",
  "wpn_fps_pis_x_g17",
  "wpn_fps_jowi"
}

for i, wpn_id in pairs(hr_chimano_add) do
  table.insert(self[wpn_id].uses_parts, "wpn_fps_pis_g18c_co_1")
  table.insert(self[wpn_id].uses_parts, "wpn_fps_pis_g18c_co_comp_2")
end

-- Pistol --
-- Chimano 88 --
-- Grip --
table.insert(self.wpn_fps_pis_x_g17.uses_parts, "wpn_fps_pis_g18c_g_ergo")
table.insert(self.wpn_fps_pis_g17.uses_parts, "wpn_fps_pis_g18c_g_ergo")

-- Stock --
table.insert(self.wpn_fps_pis_g17.uses_parts, "wpn_fps_pis_g18c_s_stock")

-- STRYK 18c --
-- Custom --
table.insert(self.wpn_fps_pis_x_g18c.uses_parts, "wpn_fps_upg_i_singlefire")
table.insert(self.wpn_fps_pis_x_g18c.uses_parts, "wpn_fps_upg_i_autofire")
table.insert(self.wpn_fps_pis_g18c.uses_parts, "wpn_fps_upg_i_singlefire")
table.insert(self.wpn_fps_pis_g18c.uses_parts, "wpn_fps_upg_i_autofire")

-- Chimano Custom
table.insert(self.wpn_fps_pis_g22c.uses_parts, "wpn_fps_pis_g18c_s_stock")

-- Chimano Compact --
-- Magazine --
self.wpn_fps_jowi.override.wpn_fps_pis_g26_m_std = self.wpn_fps_jowi.override.wpn_fps_upg_g26_m_std or {}

self.parts.wpn_fps_pis_g26_m_std.override_weapon_add = { CLIP_AMMO_MAX = 7 }

self.wpn_fps_jowi.override.wpn_fps_pis_g26_m_std.override_weapon_add = { CLIP_AMMO_MAX = 14 }

-- Stock --
table.insert(self.wpn_fps_pis_g26.uses_parts, "wpn_fps_pis_g18c_s_stock")

end)